<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bootstrap Sample</title>


    <!-- jQuery読み込み -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <!-- BootstrapのCSS読み込み -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <!-- BootstrapのJS読み込み -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
        crossorigin="anonymous"></script>
    <script src="calculator.js"></script>
</head>

<body>
    <div class="container d-grid gap-3">
        <h1>JavaScriptで電卓を作ろう!</h1>
        <p>  </p>
        <div class="row">

            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(7)"> ７ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(8)"> ８ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(9)"> ９ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-dark btn-lg" onclick="clickOperatorButton('/')"> / </button>
            </div>
            <div class="col-8"></div>
        </div>
        <div class="row">
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(4)"> ４ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(5)"> ５ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(6)"> ６ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-dark btn-lg" onclick="clickOperatorButton('*')"> * </button>
            </div>
        </div>
        <div class="row">
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(1)"> １ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(2)"> ２ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(3)"> ３ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-dark btn-lg" onclick="clickOperatorButton('-')"> - </button>
            </div>
        </div>

        <div class="row">
            <div class="col-1">
                <button type="button" class="btn btn-light btn-lg" onclick="clickNumberButton(0)"> ０ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-dark btn-lg" onclick="clickDeleteButton()"> C </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-dark btn-lg" onclick="clickEqualButton()"> ＝ </button>
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-dark btn-lg" onclick="clickOperatorButton('+')"> + </button>
            </div>
        </div>

        <div class="col"></div>
    </div>
</body>

</html>